function [b, a, center] = third_filters(flim, fs, order)
%THIRD_FILTERS Filter bank for 3rd octave filters
%   [B, A Center] = THIRD_FILTERS(Flim, Fs, order)

if nargin < 3
    order = 3;
end

center = 1000 .* 2.^((-30:10)/3);
idx = center > min(flim) & center < max(flim);
center = center(idx);

b = zeros(2*order+1, length(center));
a = b;
for i = 1 : length(center)
    [b(:,i), a(:,i)] = butter(order, center(i)/(fs/2)*[2^(-1/6), 2^(1/6)]);
end

end % of function

